Page MenuHomePhabricator

AMDGPU/GlobalISel: Fix RegBankSelect for GEP.
ClosedPublic

Authored by arsenm on Jan 26 2019, 12:48 PM.

Details

Reviewers
tstellar
Summary

This is basically a pointer typed add, so shouldn't be any different.
This was assuming everything was an SGPR, which is not true.

Also cleanup legality for GEP. I don't seem to be seeing the problem
the hack marking s64 as a legal pointer type the comment mentions.

Diff Detail

Event Timeline

arsenm created this revision.Jan 26 2019, 12:48 PM
tstellar accepted this revision.Feb 13 2019, 4:20 PM

LGTM.

This revision is now accepted and ready to land.Feb 13 2019, 4:20 PM
arsenm closed this revision.Feb 14 2019, 2:24 PM

r354067